## net.i2p.router.web
Class ConfigTunnelsHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigTunnelsHandler

    public class ConfigTunnelsHandler

extends FormHandler

Handler to deal with form submissions from the tunnel config form and act upon the values. Holy crap, this is UUUUGLY

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _passphrase`

Constructor Summary
`ConfigTunnelsHandler()`

Method Summary
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setSettings(java.util.Map settings)`
`void` `setShouldsave(java.lang.String moo)`

Methods inherited from class net.i2p.router.web.FormHandler
`addFormError, addFormNotice, getErrors, getNotices, setAction, setContextId, setNonce, setPassphrase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigTunnelsHandler

    public ConfigTunnelsHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setShouldsave

    public void setShouldsave(java.lang.String moo)

### setSettings

    public void setSettings(java.util.Map settings)